VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::appliance::vmon::ServiceTypes::Health Class Reference

The `Service.Health` enumerated type defines the possible values for health of a service. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, DEGRADED, HEALTHY, HEALTHY_WITH_WARNINGS }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static Health[] | GetValues ()
static Health | ValueOf (string name)
## Static Public Attributes
static readonly Health | DEGRADED = new Health("DEGRADED", Values.DEGRADED)
| Service is in degraded state, it is not functional.
static readonly Health | HEALTHY = new Health("HEALTHY", Values.HEALTHY)
| Service is in a healthy state and is fully functional.
static readonly Health | HEALTHY_WITH_WARNINGS = new Health("HEALTHY_WITH_WARNINGS", Values.HEALTHY_WITH_WARNINGS)
| Service is healthy with warnings.

## Detailed Description

The `Service.Health` enumerated type defines the possible values for health of a service.

## Member Enumeration Documentation

enum vmware::appliance::vmon::ServiceTypes::Health::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  DEGRADED | Service is in degraded state, it is not functional.
  HEALTHY | Service is in a healthy state and is fully functional.
  HEALTHY_WITH_WARNINGS | Service is healthy with warnings.

## Member Function Documentation

Values vmware::appliance::vmon::ServiceTypes::Health::GetEnumValue | ( |  | ) | `[inline]`

static Health [] vmware::appliance::vmon::ServiceTypes::Health::GetValues | ( |  | ) | `[inline, static]`

bool vmware::appliance::vmon::ServiceTypes::Health::IsUnknown | ( |  | ) | `[inline]`

static Health vmware::appliance::vmon::ServiceTypes::Health::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly Health vmware::appliance::vmon::ServiceTypes::Health::DEGRADED = new Health("DEGRADED", Values.DEGRADED)`[static]`

Service is in degraded state, it is not functional.

readonly Health vmware::appliance::vmon::ServiceTypes::Health::HEALTHY = new Health("HEALTHY", Values.HEALTHY)`[static]`

Service is in a healthy state and is fully functional.

readonly Health vmware::appliance::vmon::ServiceTypes::Health::HEALTHY_WITH_WARNINGS = new Health("HEALTHY_WITH_WARNINGS", Values.HEALTHY_WITH_WARNINGS)`[static]`

Service is healthy with warnings.

The documentation for this class was generated from the following file:

- appliance/vmon/ServiceTypes.cs